# List Agent Insights monitors, optionally filtered by agent name

`GET /agent_insight_monitors`

## Parameters

### Query parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `after` | `string` | No | A cursor that identifies the last item in the previous page. |
| `before` | `string` | No | A cursor that identifies the first item in the next page. |
| `limit` | `integer` | No | The maximum number of items to return. Defaults to 20. _Default:_ `20` |
| `order` | `PageOrder` | No | Sort order by creation time. Defaults to descending. _Default:_ `"desc"` _Enum:_ `asc`, `desc` |
| `agent_name` | `string` | No | Filter monitors by agent name. |
| `api-version` | `string` | Yes | The API version to use for this operation. |

### Header parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Foundry-Features` | `enum` | Yes | A feature flag opt-in required when using preview operations or modifying persisted preview resources. _Constant:_ `AgentInsights=V1Preview` |

## Responses

### 200 — The request has succeeded.

Content-Type: `application/json`

The response data for a requested list of items.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `data` | `AgentInsightMonitorListItem[]` | Yes | The requested list of items. |
| `first_id` | `string` | No | The first ID represented in this list. |
| `last_id` | `string` | No | The last ID represented in this list. |
| `has_more` | `boolean` | Yes | A value indicating whether there are additional values available not captured in this list. |

#### `data` — `AgentInsightMonitorListItem[]`

The requested list of items.

**Array of** `AgentInsightMonitorListItem`**:**

An Agent Insights monitor summary returned by list operations.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `id` | `string` | Yes | The monitor identifier. |
| `agent_name` | `string` | Yes | The agent this monitor analyzes. There can be only one monitor per agent. |
| `enabled` | `boolean` | Yes | Whether scheduled insight generation is armed for the monitor. |
| `run_interval_hours` | `number` | Yes | Interval between scheduled insight runs, in hours. _Format:_ `double` |
| `model_deployment_name` | `string` | Yes | The model deployment to use for analyzing traces. Accepts either the deployment name alone or with the connection name as '{connectionName}/modelDeploymentName'. |
| `next_scheduled_run_at` | `FoundryTimestamp` | No | _Format:_ `unixtime` |
| `estimated_cost` | `AgentInsightEstimatedCost` | No | Estimated Agent Insights cost. |
| `suspension` | `AgentInsightSuspension \| null` | Yes | Why the system suspended scheduled generation. Null when the monitor is not suspended. |
| `updated_at` | `FoundryTimestamp` | Yes | _Format:_ `unixtime` |

##### `estimated_cost` — `AgentInsightEstimatedCost`

Estimated Agent Insights cost.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `amount` | `number` | Yes | Estimated cost amount. _Format:_ `double` |
| `currency` | `enum` | Yes | Currency for the estimated cost amount. Agent Insights estimates are reported in US dollars. _Constant:_ `USD` |

##### `suspension` — `AgentInsightSuspension | null`

Why the system suspended scheduled generation. Null when the monitor is not suspended.

**One of the following:**

###### `AgentInsightSuspension` — `AgentInsightSuspension`

Structured reason why scheduled generation is suspended for a monitor.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | `string` | Yes | Stable, machine-readable suspension category. |
| `message` | `string` | Yes | Human-readable description of the suspension. |
| `occurred_at` | `FoundryTimestamp` | Yes | _Format:_ `unixtime` |
| `details` | `object` | No | Additional reason-specific suspension details. |

###### `null` — `null`

| Type | Description |
|------|-------------|
| `null` | — |

### 4XX — Client error

Content-Type: `application/json`

Error response for API failures.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `error` | `OpenAI.Error` | Yes |  |

#### `error` — `OpenAI.Error`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | `string \| null` | Yes |  |
| `message` | `string` | Yes |  |
| `param` | `string \| null` | No |  |
| `type` | `string` | No |  |
| `misalignment` | `OpenAI.MisalignmentErrorDetailsResource` | No |  |
| `details` | `OpenAI.Error[]` | No |  |
| `additionalInfo` | `object` | No |  |
| `debugInfo` | `object` | No |  |

##### `misalignment` — `OpenAI.MisalignmentErrorDetailsResource`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `error_type` | `enum` | No | _Enum:_ `potentially_unintended_data_transfer`, `potentially_unintended_data_access`, `potentially_unintended_destructive_activity`, `other` |
| `detailed_explanation` | `string` | No | The public explanation for this block. |
| `steer` | `OpenAI._MisalignmentSteer` | No |  |

###### `steer` — `OpenAI._MisalignmentSteer`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `message` | `string` | Yes | The public continuation instruction. |

### 5XX — Server error

Content-Type: `application/json`

Error response for API failures.

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `error` | `OpenAI.Error` | Yes |  |

#### `error` — `OpenAI.Error`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `code` | `string \| null` | Yes |  |
| `message` | `string` | Yes |  |
| `param` | `string \| null` | No |  |
| `type` | `string` | No |  |
| `misalignment` | `OpenAI.MisalignmentErrorDetailsResource` | No |  |
| `details` | `OpenAI.Error[]` | No |  |
| `additionalInfo` | `object` | No |  |
| `debugInfo` | `object` | No |  |

##### `misalignment` — `OpenAI.MisalignmentErrorDetailsResource`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `error_type` | `enum` | No | _Enum:_ `potentially_unintended_data_transfer`, `potentially_unintended_data_access`, `potentially_unintended_destructive_activity`, `other` |
| `detailed_explanation` | `string` | No | The public explanation for this block. |
| `steer` | `OpenAI._MisalignmentSteer` | No |  |

###### `steer` — `OpenAI._MisalignmentSteer`

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `message` | `string` | Yes | The public continuation instruction. |
